Loading...
Searching...
No Matches
FragCatalogUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Subgraphs/Subgraphs.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include "FragCatParams.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

RDKIT_FRAGCATALOG_EXPORT MOL_SPTR_VECT | RDKit::readFuncGroups (std::string fileName)
RDKIT_FRAGCATALOG_EXPORT MOL_SPTR_VECT | RDKit::readFuncGroups (std::istream &inStream, int nToRead=-1)
RDKIT_FRAGCATALOG_EXPORT MatchVectType | RDKit::findFuncGroupsOnMol (const ROMol &mol, const FragCatParams *params, INT_VECT &fgBonds)
RDKIT_FRAGCATALOG_EXPORT ROMol * | RDKit::prepareMol (const ROMol &mol, const FragCatParams *fparams, MatchVectType &aToFmap)